Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		rgbds
Version:	0.5.2
Release:	alt1_3
Summary:	A development package for the Game Boy, including an assembler

# See LICENSE for details
License:	DWPL and ISC and MIT and BSD
URL:		https://github.com/gbdev/%{name}
Source0:	https://github.com/gbdev/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	bison
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(libpng)
Source44: import.info

%description
RGBDS (Rednex Game Boy Development System) is a free assembler/linker package
for the Game Boy and Game Boy Color.

It consists of:

* rgbasm (assembler)
* rgblink (linker)
* rgbfix (checksum/header fixer)
* rgbgfx (PNGa..toa..2bpp graphics converter)

%prep
%setup -q


%build
%make_build Q="" CFLAGS="%{optflags}" VERSION_STRING=""

%install
%makeinstall_std PREFIX=%{_prefix} bindir=%{_bindir} mandir=%{_mandir} STRIP="-p" MANMODE="644 -p" Q=""

%files
%{_bindir}/rgbasm
%{_bindir}/rgblink
%{_bindir}/rgbfix
%{_bindir}/rgbgfx
%{_mandir}/man1/rgbasm.1*
%{_mandir}/man1/rgblink.1*
%{_mandir}/man1/rgbfix.1*
%{_mandir}/man1/rgbgfx.1*
%{_mandir}/man5/rgbds.5*
%{_mandir}/man5/rgbasm.5*
%{_mandir}/man5/rgblink.5*
%{_mandir}/man7/rgbds.7*
%{_mandir}/man7/gbz80.7*
%doc --no-dereference LICENSE
%doc README.rst

%changelog
* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.5.2-alt1_3
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.5.2-alt1_2
- update to new release by fcimport

* Wed Dec 01 2021 Igor Vlasenko <viy@altlinux.org> 0.5.2-alt1_1
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.5.1-alt1_2
- update to new release by fcimport

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.org> 0.5.1-alt1_1
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.4.2-alt2_2
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt2_1
- update to new release by fcimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_2
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_6
- new version

